from .fpdf import FPDF, FPDF_FONT_DIR, FPDF_VERSION, SYSTEM_TTFONTS, set_global, FPDF_CACHE_MODE, FPDF_CACHE_DIR
from .html import HTMLMixin
from .template import Template
import os
from datetime import datetime

class mypdf(FPDF,HTMLMixin):
    pass

def main(mainCheck,nomeComune,nomeProfessionista,myCheckboxes):
    html_doc = open(r"utility\template_report.html").read()
    maincheck_oneTrue = False
    for singleCheck,value in mainCheck.items():
        if value:
            maincheck_oneTrue = True
        notValue = not(value)
        myStringToFind = '<p align="center"><img id="test_%d"  width="340" src="utility\%s.jpg" alt=""/></p>' %(singleCheck,str(notValue).lower())

        html_doc = html_doc.replace(myStringToFind,'')
    valueChecked = []
    valueChecked_oneTrue = False
    for singleCheck,value in myCheckboxes.items():
        notValue = not(value.isChecked())
        if value.isChecked():
            valueChecked_oneTrue = True
        valueChecked.append(value.isChecked())
        myStringToFind = '<p align="center"><img id="elab_%d"  width="340" src="utility\%s.jpg" alt=""/></p>' %(singleCheck,str(notValue).lower())

        html_doc = html_doc.replace(myStringToFind,'')


    if all(mainCheck.values()) and all(valueChecked):
        myStringToFind = '<h4 id="esito_negativo" align="center">Le analisi informatiche preliminari hanno dato esito negativo</h4>'
        html_doc = html_doc.replace(myStringToFind,'')
        #myStringToFind = "Il prodotto non puo' essere trasmesso al referente di unita' territoriale poiche' non e' conforme a quanto previsto nei Disciplinari, si prega di ricontrollare i dati e gli elaborati"
        #html_doc = html_doc.replace(myStringToFind,"Il prodotto puo' essere trasmesso al referente CentroMS dell'unita' territoriale per ottenere il nulla osta per la consegna al Comune. Caricare lo studio sulla directory FTP del Comune e inviare una email di conferma allo stesso referente e a centroms@igag.cnr.it")
    else:
        myStringToFind = '<h3 id="esito_positivo" align="center">Le analisi informatiche preliminari hanno dato esito positivo</h3>'
        html_doc = html_doc.replace(myStringToFind,'')
        if maincheck_oneTrue or valueChecked_oneTrue:
            myStringToFind = '<h4 id="esito_negativo" align="center">Le analisi informatiche preliminari hanno dato esito negativo</h4>'
            html_doc = html_doc.replace(myStringToFind,'<h4 id="esito_negativo" align="center">Le analisi informatiche preliminari hanno dato esito parzialmente negativo</h4>')

    myStringToFind = 'MIADATA'
    format_ = '%d/%m/%Y %H:%M'
    myData = datetime.now().strftime(format_)
    html_doc = html_doc.replace(myStringToFind,myData)
    myStringToFind = 'Nome Comune'
    html_doc = html_doc.replace(myStringToFind,nomeComune)
    myStringToFind = 'NOME PROFESSIONISTA'
    html_doc = html_doc.replace(myStringToFind,nomeProfessionista)
    pdf=mypdf()
    pdf.add_page()
    pdf.write_html(html_doc)
    pdf.output(r"..\report.pdf", 'F')

